import { EventEmitter } from '@angular/core';
import { AlBottomSheetHeaderOptions } from '../al-bottom-sheet/al-bottom-sheet-header-options.types';
import { WizardStep } from './wizard.types';
import * as i0 from "@angular/core";
export declare class AlWizardStepperComponent {
    headerOptions: AlBottomSheetHeaderOptions;
    loading: boolean;
    oneColumn: boolean;
    onStepSelected: EventEmitter<WizardStep>;
    onCancelButton: EventEmitter<void>;
    /**
     * Array of steps to display.
     */
    steps: WizardStep[];
    /**
     * Index of the currently active step.
     */
    stepIndex: number;
    addStep(step: WizardStep): void;
    stepForward(): void;
    stepBack(): void;
    selectStep(step: WizardStep): void;
    onJumpStep(step: WizardStep): void;
    reset(): void;
    getIndex(): number;
    static ɵfac: i0.ɵɵFactoryDef<AlWizardStepperComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<AlWizardStepperComponent, "al-wizard-stepper", never, { "headerOptions": "headerOptions"; "loading": "loading"; "oneColumn": "oneColumn"; }, { "onStepSelected": "onStepSelected"; "onCancelButton": "onCancelButton"; }, never, ["*"]>;
}
